/* fichier automat_lanceur.js 
	-> dtecte le chemin relatif depuis la page vers le rep de stockage des objets = rep_objets
	-> inclu le fichier automat_config.js contenant les META de dossier depuis le rep ancetre le + proche 
	-> inclu le fichiers automat.js qui prend en charge la suite du bizness de script
	. est appel par lien dans toutes les pages
	. fct principale = lanceur(rep_base,rep_objets) est lance par <body onload> avec comme arguments:
		rep_base = nom du rep de base du site
		rep_objets = chemin du rep de stockage des scripts et icones  partir de rep_base

*/

/* fct LANCEUR() dmarre les fcts successives du bizness de scripts
  REP_OBJETS est le nom du rpertoire de base d'automat, !!  la racine du site !! */
function lanceur(rep_base) {
	rep_objets = "automat_objets";
	chem_obj = (genere_chemin(rep_base)); // chem_obj est le chemin relatif du rep_objet
	if (test_DOM () == 0) {	 
		
		
		
		return;	// empche le lancement de automat.js pour viter les erreurs + environnement minimal assur par affiche_ni_DOM() si lancement en fin de page
	}
	integre_config();
	integre_script(chem_obj + "automat.js" , "automat");
}

/* fct GENERE_CHEMIN(rep_base) dfini la variable globale chem_obj = le chemin relatif du rpertoire des objets */
function genere_chemin(rep_base) {
	chem = document.location.pathname.toLowerCase();	// partir URL de la page dcompte de tous les niveaux depuis la racine
	(document.location.protocol=="file:") && (navigator.appName.indexOf("Microsoft") != -1) ? separ="\\" : separ="/";	// choix du sparateur / ou \ en fct du protocole file ou http
	if (rep_base == 'auto') {	// ((rep_base || rep_objets) == 'auto') || (rep_base == rep_objets)
		chem_obj = "./";
		nbe_separ = 0;
		return chem_obj;
	}
	chem_obj = rep_objets.toLowerCase();	// par dfaut chem_obj est le nom du rep_objet => cas ou la page appelante est  la racine du site 
	chem = document.location.pathname.toLowerCase();	// partir URL de la page extraction sous-chaine depuis rep_base jusqu'a fin 
	(document.location.protocol=="file:") && (navigator.appName.indexOf("Microsoft") != -1) ? separ="\\" : separ="/";	// choix du sparateur / ou \ en fct du protocole file ou http
	pos_char = chem.indexOf(separ + rep_base + separ);
	chem = chem.substring(pos_char + 1);	// chem sans le / initial
	nbe_separ = "";
	nbe_separ = (chem.split(separ).length)-1;	// nbe de sparateur = nbe de morceaux du split - 1 
	prefix = "";
	for (i= 1; i < nbe_separ ; i++) {
		prefix = "../" + prefix;	// ajoute un ../ par niveau de ss-rep dtect jusqu'a rep_base  
	}
	chem_obj = prefix + chem_obj + "/"; 	// compose le chemin avec en + un sparateur final 
	return chem_obj;
}

/* fct INTEGRE_CONFIG() charge le fichier automat_config.js contenant les META 
du dossier/arborescence depuis dossier courant ou ses parents rcursivement) */
function integre_config() {
	integre_script(chem_obj + "automat_site.js" , "automat_site");	// automat_site.js contient les META du site
	if (nbe_separ == 0) {	// cas des fichiers dans automat_objets et de automat_framesup
		integre_script(chem_obj + "automat_config.js" , "automat_config_rep");	// automat_config.js contient les META du dossier de la page
	}
	else {
		for (i = nbe_separ; i > 0; i--) {
			integre_script(prefix + "automat_config.js" , ("automat_config" + i));
			prefix = prefix.substring(3);
		}
	}
}


/* fct INTEGRE_SCRIPT(nom_script , id_script) intgre le script nom_script !!doit comprendre chem_obj si script dans rep_objets!! et ID=id_script */
function integre_script(chem_script , id_script) {		// nom_script = nom du fichier de script !!avec son extension et le chemin!!  intgrer 
	a_integrer = document.createElement("script");
	a_integrer.setAttribute("langage", "JavaScript");
	a_integrer.setAttribute("src", chem_script );
	a_integrer.setAttribute("id" , id_script);
	document.body.insertBefore(a_integrer, document.body.firstChild);
}

/* fct TEST_DOM() test si le navigateur supporte suffisament de DOM pour tre compatible avec automat.js */
function test_DOM () {
	if (document.createElement) {
		return 1;
	}
	else {
		return 0;
	}
}

/* fct AFFICHE_NO_DOM() traite le cas des browsers ne supportant pas les fcts DOM de automat.js 
Environnement minimal pour IE4 et N4. */
function affiche_no_DOM() {
	rep_objets = "automat_objets";
	chem_obj = (genere_chemin("tice"));	// rcup de chem_obj qd lancement par script ds la page car test_DOM() == 0
	var url_site = "http://www.aix-mrs.iufm.fr/";
	var url_partie = url_site + "formations/tice/";
	var tab_sssites = [
           ["Contacts" , (url_site + "infos/contact.php")],
           ["Dcouvrir l'IUFM" , (url_site + "dec_iufm/")],
           ["Formations" , (url_site + "formations/")],
           ["Listes de diffusion" , "https://wliste.aix-mrs.iufm.fr/wws/"],
           ["Plan du site" , (url_site + "infos/plan_site.php")],
           ["Recherche" , (url_site + "recherche/")],
           ["Res.pdagogiques" , (url_site + "res_ped/")],
           ["Services" , (url_site + "services/")]
         		];
         var tab_ssparties = [
		["accueil" , url_partie + "index.htm"],
		["Com. visuelle" , url_partie + "techno_image/"],
		["FOAD" , url_partie + "fo/"],
		["F.initiale" , url_partie + "fi/"],
		["F.continue" , url_partie + "fc/"],
		["Formateurs" , url_partie + "formateurs/"],
		["GR&D" , url_partie + "grd_tice/"],
		["Logistique" , url_partie + "logistique/"],
		["Rseaux" , url_partie + "reseaux/"],
		["Rfrences" , url_partie + "textes_refs/"]
         		     ];
	if (document.all) {
		tab_table = document.all.tags("table");
		for (i = 0; i < tab_table.length; i++) {
			tab_table[i].style.backgroundColor = "#CCCCCC";
		}
	}
	if (document.layers) {
		conteneur = "layer";
	}
	else {
		conteneur = "div";		
	}
	htm_miniTete = '<' + conteneur + ' position="absolute" top="0" left="0" ';
	htm_miniTete += (conteneur != "layer" ? 'style="position:absolute;top:0;left:0;">' : '>');
	htm_miniTete += '<a name="top"></a><table height="50" width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF"><tr>';
	htm_miniTete += '<td rowspan="3"><a href="http://www.aix-mrs.iufm.fr/accueil.php"><img src="' + chem_obj + 'logo_iufm.gif" width="33" height="45" border="0"></a></p>';
	htm_miniTete += '<td nowrap bgcolor="#FF7230" valign="middle"><font size="2"><pre><b> ';
/**/	if (tab_pages_relatives.length > 0) {	// tab_url_parent[] renvoy par automat_config.js existe et contient au moins 1 ref
		htm_miniTete += 'Parties TICE: ';
		for (j = 0; j < tab_ssparties.length; j++) {
			htm_miniTete += '<a href="' + tab_ssparties[j][1] + '">[' + tab_ssparties[j][0] + ']</a>  ';
		}
		htm_miniTete += '</b></pre></font></td></tr><tr><td><font size="2"><pre><b>Partie en cours:  ';
		nb_car = 0;
		nb_car_max = 90;
		if (x_ecran = parseInt(window.screen.width)) {
			nb_car_max = x_ecran > 1020 ? nb_car_max = 140 : (x_ecran > 780 ? nb_car_max = 110 : nb_car_max = 90);			
		}
		for (i = 0; i < tab_pages_relatives.length; i++) {
			nb_car += tab_pages_relatives[i][0].length;
			if (nb_car >= nb_car_max) {
				htm_miniTete += '<br>';
				nb_car = 0;
			}
			htm_miniTete += '[<a href="' + tab_pages_relatives[i][1] + '">' + tab_pages_relatives[i][0] + '</a>]  ';
		}
		htm_miniTete += '  [<a href="../">Retour partie sup.</a>]</b></pre></font></td></tr></table>';
	}
	else {		// cas ou automat_config.js ne contient pas de tab_url_parent[] ou n'existe pas
/**/
		for (i = 0; i < tab_sssites.length; i++) {
			htm_miniTete += '[<a href="' + tab_sssites[i][1] + '">' + tab_sssites[i][0] + '</a>]  ';
		}
		htm_miniTete += '</b></pre></font></td></tr><tr><td><font size="2"><pre><b> TICE:  ';
		for (j = 0; j < tab_ssparties.length; j++) {
			htm_miniTete += '[<a href="' + tab_ssparties[j][1] + '">' + tab_ssparties[j][0] + '</a>]  ';
		}
		htm_miniTete += '  [<a href="../">Partie suprieure</a>]</b></pre></font></td></tr></table>';	//<tr><td ><hr noshade color="#476EDD"></td></tr>
	}

	htm_miniTete += '</' + conteneur +'>';
	document.write(htm_miniTete);
	htm_miniPied = ''; 
	htm_miniPied += '<table border="0" width="95%" cellpadding="0" cellspacing="0" clear="both"><tr><td rowspan="3"><a href="http://www.aix-mrs.iufm.fr/accueil.php"><img src="' + chem_obj + 'logo_iufm.gif" width="33" height="45" border="0"></a></td>';
	htm_miniPied += '<td colspan="4" align="right"><font size="1" color="#AAAAAA">Votre navigateur n\'est pas au niveau de la version de JavaScript utilise dans cette page: vos ne disposez que d\'un environnement minimal.</font></td>';
	htm_miniPied += '</tr><tr><td colspan="4" valign="bottom"><hr noshade color="#476EDD"> </td></tr>';
	htm_miniPied += '<tr><td nowrap ><font size="2"><pre><a href="http://www.aix-mrs.iufm.fr/infos/mentions.php">mentions l&eacute;gales</a></pre></font></td>';
	htm_miniPied += '<td nowrap align="center"><font size="2"><pre>auteur: <a href="mailto:webmestre.tice@aix-mrs.iufm.fr">TICE IUFM Aix-Marseille</a>   </pre></font></td>';
	htm_miniPied += '<td nowrap  align="center"><font size="2"><pre>Dernire maj: ' + document.lastModified + '</pre></font></td>';
	htm_miniPied += '<td nowrap align="right"><font size="2"><pre><a href="#top">sommet page</a></pre></font></td>';
	htm_miniPied += '</tr></table>';
	document.write(htm_miniPied);
	return; 
}